if exists (select * from seg_perfil_funcionalidad where active = 1 and id_funcionalidad in (select id from gui_funcionalidad where active = 0
and id_tipoFuncionalidad = 2 and nombreComando = 'archivos'))
begin
update seg_perfil_funcionalidad  set active = 0 where active = 1 and id_funcionalidad in (select id from gui_funcionalidad where active = 0
and id_tipoFuncionalidad = 2 and nombreComando = 'archivos')
end